{% extends "baseLayout.html" %}
{% load static %}

{% block body %}
{% include "includes/sidebar-left.html" %}
<div class="bg-light content">
  <div class="page-header mt-5 ml-5">
    {% if form.name.value %}
    <h1>Edit Movie</h1>
    {% else %}
    <h1>New Movie</h1>
    {% endif %}
  </div>
  {% include "includes/form-errors.html" %}
  <form class="p-5" action="" method="POST">
    {% csrf_token %}

    <label for="name" class="col-2 col-form-label">Name</label>
    <input class="form-control" type="text" value="{{ form.name.value|default_if_none:"" }}" name="name" id="id_name">

    <label for="originalName" class="col-2 col-form-label">Original Name</label>
    <input class="form-control" type="text" value="{{ form.originalName.value|default_if_none:"" }}" name="originalName" id="id_originalName">

    <label for="pathImg" class="col-2 col-form-label">Image</label>
    <input class="form-control" type="text" value="{{ form.pathImg.value|default_if_none:"" }}" name="pathImg" id="id_pathImg">

    <label for="description" class="col-2 col-form-label">Biography</label>
    <textarea class="form-control" name="description" rows="10" cols="50">{{ form.description.value|default_if_none:"" }}</textarea>

    <label for="duration" class="col-2 col-form-label">Duration</label>
    <input class="form-control" type="text" value="{{ form.duration.value|default_if_none:"" }}" name="duration" id="id_duration">

    <label for="public" class="col-2 col-form-label">Public</label>
    <input class="form-control" type="text" value="{{ form.public.value|default_if_none:"" }}" name="public" id="id_public">

    <label for="releaseDate" class="col-2 col-form-label">Release Date</label>
    <input class="form-control" type="text" value="{{ form.releaseDate.value|date:"Y-m-d" }}" name="releaseDate" id="id_releaseDate">

    <label for="rating" class="col-2 col-form-label">Rating</label>
    <input class="form-control" type="text" value="{{ form.rating.value|default_if_none:"" }}" name="rating" id="id_rating">

    <label for="director" class="col-2 col-form-label">Director</label>
    <select class="form-control" id="id_director" name="director">
      {% for d in form.director %}
      {{ d }}
      {% endfor %}
    </select>
    <input class="btn btn-primary m-3" type="submit" value="Save"/>
  </form>
</div>
{% include "includes/sidebar-right.html" %}

{% endblock %}
